Skip to main content
GET
List all knowledge bases

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

starting_after
string

A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include after=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the next page of the list.

ending_before
string

A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with 01JJ1HDHN79XAS7A01WB3HYSDB, your subsequent call can include before=01JJ1HDHN79XAS7A01WB3HYSDB in order to fetch the previous page of the list.

limit
integer
default:25

A limit on the number of objects to be returned. Limit can range between 1 and 300, and the default is 25

Required range: 1 <= x <= 300

Filter knowledge bases by key (case-insensitive match)

updated_by
string

Filter by the users who last updated the knowledge base. Accepts a comma-separated list of user IDs

type
enum<string>

Filter knowledge bases by type

Available options:
internal,
external
project_id
string

Filter knowledge bases by project ID

Response

200 - application/json

Knowledge bases retrieved

object
enum<string>
required
Available options:
list
data
object[]
required
has_more
boolean
required